Loading...
Searching...
No Matches
properties.h File Reference
`#include "MQTTProperties.h"`
`#include <initializer_list>`
`#include <iostream>`
`#include <map>`
`#include <stdexcept>`
`#include <string_view>`
`#include <tuple>`
`#include <typeinfo>`
`#include "mqtt/buffer_ref.h"`
`#include "mqtt/exception.h"`
`#include "mqtt/platform.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::property
class | mqtt::properties
class | mqtt::properties::const_iterator

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::string_pair = std::tuple<string, string>

## Functions

std::ostream & | mqtt::operator<< (std::ostream &os, const property &prop)
template<typename T>
T | mqtt::get (const property &)
template<>
uint8_t | mqtt::get< uint8_t > (const property &prop)
template<>
uint16_t | mqtt::get< uint16_t > (const property &prop)
template<>
int16_t | mqtt::get< int16_t > (const property &prop)
template<>
uint32_t | mqtt::get< uint32_t > (const property &prop)
template<>
int32_t | mqtt::get< int32_t > (const property &prop)
template<>
string | mqtt::get< string > (const property &prop)
template<>
string_pair | mqtt::get< string_pair > (const property &prop)
template<typename T>
T | mqtt::get (const properties &props, property::code propid, size_t idx)
template<typename T>
T | mqtt::get (const properties &props, property::code propid)

## Detailed Description

Declaration of MQTT properties class

Date
  July 7, 2019

Author
  Frank Pagliughi